# dmx.c File Reference

`#include "X.h"`
`#include "Xproto.h"`
`#include "misc.h"`
`#include "os.h"`
`#include "dixstruct.h"`
`#include "extnsionst.h"`
`#include "opaque.h"`
`#include "dmxextension.h"`
`#include "dmxproto.h"`
`#include "dmxext.h"`

## Functions

void | DMXExtensionInit (void)

## Detailed Description

This file implements the server-side part of the DMX protocol. A vector of fucntions is provided at extension initialization time, so most all of the useful functions in this file are declared static and do not appear in the doxygen documentation.

Much of the low-level work is done by functions in #dmxextension.c

Please see the Client-to-Server DMX Extension to the X Protocol document for details about the protocol.

## Function Documentation

void DMXExtensionInit | ( | void |  | ) |

| Initialize the extension.

Generated June 29, 2004 for Distributed Multihead X by doxygen 1.3.4. </addres>